/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 * 
 * Copyright 2008-2013 jOpenDocument, by ILM Informatique. All rights reserved.
 * 
 * The contents of this file are subject to the terms of the GNU
 * General Public License Version 3 only ("GPL").  
 * You may not use this file except in compliance with the License. 
 * You can obtain a copy of the License at http://www.gnu.org/licenses/gpl-3.0.html
 * See the License for the specific language governing permissions and limitations under the License.
 * 
 * When distributing the software, include this License Header Notice in each file.
 * 
 */

package org.jopendocument.model.chart;

import org.jopendocument.model.table.TableTable;

/**
 * 
 */
public class ChartChart {

    protected String chartAddInName;
    protected String chartClass;
    protected String chartColumnMapping;
    protected ChartLegend chartLegend;
    protected ChartPlotArea chartPlotArea;
    protected String chartRowMapping;
    protected String chartStyleName;
    protected ChartSubtitle chartSubtitle;
    protected String chartTableNumberList;
    protected ChartTitle chartTitle;
    protected String drawId;
    protected String drawLayer;
    protected String drawName;
    protected String drawStyleName;
    protected String drawTextStyleName;
    protected String drawZIndex;
    protected String presentationClass;
    protected String presentationPlaceholder;
    protected String presentationStyleName;
    protected String presentationUserTransformed;
    protected String svgHeight;
    protected String svgWidth;
    protected String svgX;
    protected String svgY;
    protected String tableEndCellAddress;
    protected String tableEndX;
    protected String tableEndY;
    protected TableTable tableTable;

    /**
     * Gets the value of the chartAddInName property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getChartAddInName() {
        return this.chartAddInName;
    }

    /**
     * Gets the value of the chartClass property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getChartClass() {
        return this.chartClass;
    }

    /**
     * Gets the value of the chartColumnMapping property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getChartColumnMapping() {
        return this.chartColumnMapping;
    }

    /**
     * Gets the value of the chartLegend property.
     * 
     * @return possible object is {@link ChartLegend }
     * 
     */
    public ChartLegend getChartLegend() {
        return this.chartLegend;
    }

    /**
     * Gets the value of the chartPlotArea property.
     * 
     * @return possible object is {@link ChartPlotArea }
     * 
     */
    public ChartPlotArea getChartPlotArea() {
        return this.chartPlotArea;
    }

    /**
     * Gets the value of the chartRowMapping property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getChartRowMapping() {
        return this.chartRowMapping;
    }

    /**
     * Gets the value of the chartStyleName property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getChartStyleName() {
        return this.chartStyleName;
    }

    /**
     * Gets the value of the chartSubtitle property.
     * 
     * @return possible object is {@link ChartSubtitle }
     * 
     */
    public ChartSubtitle getChartSubtitle() {
        return this.chartSubtitle;
    }

    /**
     * Gets the value of the chartTableNumberList property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getChartTableNumberList() {
        return this.chartTableNumberList;
    }

    /**
     * Gets the value of the chartTitle property.
     * 
     * @return possible object is {@link ChartTitle }
     * 
     */
    public ChartTitle getChartTitle() {
        return this.chartTitle;
    }

    /**
     * Gets the value of the drawId property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDrawId() {
        return this.drawId;
    }

    /**
     * Gets the value of the drawLayer property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDrawLayer() {
        return this.drawLayer;
    }

    /**
     * Gets the value of the drawName property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDrawName() {
        return this.drawName;
    }

    /**
     * Gets the value of the drawStyleName property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDrawStyleName() {
        return this.drawStyleName;
    }

    /**
     * Gets the value of the drawTextStyleName property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDrawTextStyleName() {
        return this.drawTextStyleName;
    }

    /**
     * Gets the value of the drawZIndex property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDrawZIndex() {
        return this.drawZIndex;
    }

    /**
     * Gets the value of the presentationClass property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getPresentationClass() {
        return this.presentationClass;
    }

    /**
     * Gets the value of the presentationPlaceholder property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getPresentationPlaceholder() {
        return this.presentationPlaceholder;
    }

    /**
     * Gets the value of the presentationStyleName property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getPresentationStyleName() {
        return this.presentationStyleName;
    }

    /**
     * Gets the value of the presentationUserTransformed property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getPresentationUserTransformed() {
        return this.presentationUserTransformed;
    }

    /**
     * Gets the value of the svgHeight property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getSvgHeight() {
        return this.svgHeight;
    }

    /**
     * Gets the value of the svgWidth property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getSvgWidth() {
        return this.svgWidth;
    }

    /**
     * Gets the value of the svgX property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getSvgX() {
        return this.svgX;
    }

    /**
     * Gets the value of the svgY property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getSvgY() {
        return this.svgY;
    }

    /**
     * Gets the value of the tableEndCellAddress property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getTableEndCellAddress() {
        return this.tableEndCellAddress;
    }

    /**
     * Gets the value of the tableEndX property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getTableEndX() {
        return this.tableEndX;
    }

    /**
     * Gets the value of the tableEndY property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getTableEndY() {
        return this.tableEndY;
    }

    /**
     * Gets the value of the tableTable property.
     * 
     * @return possible object is {@link TableTable }
     * 
     */
    public TableTable getTableTable() {
        return this.tableTable;
    }

    /**
     * Sets the value of the chartAddInName property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setChartAddInName(final String value) {
        this.chartAddInName = value;
    }

    /**
     * Sets the value of the chartClass property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setChartClass(final String value) {
        this.chartClass = value;
    }

    /**
     * Sets the value of the chartColumnMapping property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setChartColumnMapping(final String value) {
        this.chartColumnMapping = value;
    }

    /**
     * Sets the value of the chartLegend property.
     * 
     * @param value allowed object is {@link ChartLegend }
     * 
     */
    public void setChartLegend(final ChartLegend value) {
        this.chartLegend = value;
    }

    /**
     * Sets the value of the chartPlotArea property.
     * 
     * @param value allowed object is {@link ChartPlotArea }
     * 
     */
    public void setChartPlotArea(final ChartPlotArea value) {
        this.chartPlotArea = value;
    }

    /**
     * Sets the value of the chartRowMapping property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setChartRowMapping(final String value) {
        this.chartRowMapping = value;
    }

    /**
     * Sets the value of the chartStyleName property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setChartStyleName(final String value) {
        this.chartStyleName = value;
    }

    /**
     * Sets the value of the chartSubtitle property.
     * 
     * @param value allowed object is {@link ChartSubtitle }
     * 
     */
    public void setChartSubtitle(final ChartSubtitle value) {
        this.chartSubtitle = value;
    }

    /**
     * Sets the value of the chartTableNumberList property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setChartTableNumberList(final String value) {
        this.chartTableNumberList = value;
    }

    /**
     * Sets the value of the chartTitle property.
     * 
     * @param value allowed object is {@link ChartTitle }
     * 
     */
    public void setChartTitle(final ChartTitle value) {
        this.chartTitle = value;
    }

    /**
     * Sets the value of the drawId property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDrawId(final String value) {
        this.drawId = value;
    }

    /**
     * Sets the value of the drawLayer property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDrawLayer(final String value) {
        this.drawLayer = value;
    }

    /**
     * Sets the value of the drawName property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDrawName(final String value) {
        this.drawName = value;
    }

    /**
     * Sets the value of the drawStyleName property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDrawStyleName(final String value) {
        this.drawStyleName = value;
    }

    /**
     * Sets the value of the drawTextStyleName property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDrawTextStyleName(final String value) {
        this.drawTextStyleName = value;
    }

    /**
     * Sets the value of the drawZIndex property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDrawZIndex(final String value) {
        this.drawZIndex = value;
    }

    /**
     * Sets the value of the presentationClass property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setPresentationClass(final String value) {
        this.presentationClass = value;
    }

    /**
     * Sets the value of the presentationPlaceholder property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setPresentationPlaceholder(final String value) {
        this.presentationPlaceholder = value;
    }

    /**
     * Sets the value of the presentationStyleName property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setPresentationStyleName(final String value) {
        this.presentationStyleName = value;
    }

    /**
     * Sets the value of the presentationUserTransformed property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setPresentationUserTransformed(final String value) {
        this.presentationUserTransformed = value;
    }

    /**
     * Sets the value of the svgHeight property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setSvgHeight(final String value) {
        this.svgHeight = value;
    }

    /**
     * Sets the value of the svgWidth property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setSvgWidth(final String value) {
        this.svgWidth = value;
    }

    /**
     * Sets the value of the svgX property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setSvgX(final String value) {
        this.svgX = value;
    }

    /**
     * Sets the value of the svgY property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setSvgY(final String value) {
        this.svgY = value;
    }

    /**
     * Sets the value of the tableEndCellAddress property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setTableEndCellAddress(final String value) {
        this.tableEndCellAddress = value;
    }

    /**
     * Sets the value of the tableEndX property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setTableEndX(final String value) {
        this.tableEndX = value;
    }

    /**
     * Sets the value of the tableEndY property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setTableEndY(final String value) {
        this.tableEndY = value;
    }

    /**
     * Sets the value of the tableTable property.
     * 
     * @param value allowed object is {@link TableTable }
     * 
     */
    public void setTableTable(final TableTable value) {
        this.tableTable = value;
    }

}
