/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 * 
 * Copyright 2008-2013 jOpenDocument, by ILM Informatique. All rights reserved.
 * 
 * The contents of this file are subject to the terms of the GNU
 * General Public License Version 3 only ("GPL").  
 * You may not use this file except in compliance with the License. 
 * You can obtain a copy of the License at http://www.gnu.org/licenses/gpl-3.0.html
 * See the License for the specific language governing permissions and limitations under the License.
 * 
 * When distributing the software, include this License Header Notice in each file.
 * 
 */

package org.jopendocument.model.draw;

/**
 * 
 */
public class Dr3DScene {

    protected String dr3DAmbientColor;
    protected String dr3DDistance;
    protected String dr3DFocalLength;
    protected String dr3DLightingMode;
    protected String dr3DProjection;
    protected String dr3DShadeMode;
    protected String dr3DShadowSlant;
    protected String dr3DTransform;
    protected String dr3DVpn;
    protected String dr3DVrp;
    protected String dr3DVup;
    protected String drawId;
    protected String drawStyleName = null;
    protected String drawTextStyleName;
    protected String drawZIndex;
    protected String presentationStyleName;
    protected String svgHeight;
    protected String svgWidth;
    protected String svgX;
    protected String svgY;
    protected String tableEndCellAddress;
    protected String tableEndX;
    protected String tableEndY;
    protected String tableTableBackground;

    Dr3DScene() {

    }

    /**
     * Gets the value of the dr3DAmbientColor property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDr3DAmbientColor() {
        return this.dr3DAmbientColor;
    }

    /**
     * Gets the value of the dr3DDistance property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDr3DDistance() {
        return this.dr3DDistance;
    }

    /**
     * Gets the value of the dr3DFocalLength property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDr3DFocalLength() {
        return this.dr3DFocalLength;
    }

    /**
     * Gets the value of the dr3DLightingMode property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDr3DLightingMode() {
        return this.dr3DLightingMode;
    }

    /**
     * Gets the value of the dr3DProjection property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDr3DProjection() {
        return this.dr3DProjection;
    }

    /**
     * Gets the value of the dr3DShadeMode property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDr3DShadeMode() {
        return this.dr3DShadeMode;
    }

    /**
     * Gets the value of the dr3DShadowSlant property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDr3DShadowSlant() {
        return this.dr3DShadowSlant;
    }

    /**
     * Gets the value of the dr3DTransform property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDr3DTransform() {
        return this.dr3DTransform;
    }

    /**
     * Gets the value of the dr3DVpn property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDr3DVpn() {
        return this.dr3DVpn;
    }

    /**
     * Gets the value of the dr3DVrp property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDr3DVrp() {
        return this.dr3DVrp;
    }

    /**
     * Gets the value of the dr3DVup property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDr3DVup() {
        return this.dr3DVup;
    }

    /**
     * Gets the value of the drawId property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDrawId() {
        return this.drawId;
    }

    /**
     * Gets the value of the drawStyleName property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDrawStyleName() {
        return this.drawStyleName;
    }

    /**
     * Gets the value of the drawTextStyleName property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDrawTextStyleName() {
        return this.drawTextStyleName;
    }

    /**
     * Gets the value of the drawZIndex property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getDrawZIndex() {
        return this.drawZIndex;
    }

    /**
     * Gets the value of the presentationStyleName property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getPresentationStyleName() {
        return this.presentationStyleName;
    }

    /**
     * Gets the value of the svgHeight property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getSvgHeight() {
        return this.svgHeight;
    }

    /**
     * Gets the value of the svgWidth property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getSvgWidth() {
        return this.svgWidth;
    }

    /**
     * Gets the value of the svgX property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getSvgX() {
        return this.svgX;
    }

    /**
     * Gets the value of the svgY property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getSvgY() {
        return this.svgY;
    }

    /**
     * Gets the value of the tableEndCellAddress property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getTableEndCellAddress() {
        return this.tableEndCellAddress;
    }

    /**
     * Gets the value of the tableEndX property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getTableEndX() {
        return this.tableEndX;
    }

    /**
     * Gets the value of the tableEndY property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getTableEndY() {
        return this.tableEndY;
    }

    /**
     * Gets the value of the tableTableBackground property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getTableTableBackground() {
        return this.tableTableBackground;
    }

    /**
     * Sets the value of the dr3DAmbientColor property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDr3DAmbientColor(final String value) {
        this.dr3DAmbientColor = value;
    }

    /**
     * Sets the value of the dr3DDistance property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDr3DDistance(final String value) {
        this.dr3DDistance = value;
    }

    /**
     * Sets the value of the dr3DFocalLength property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDr3DFocalLength(final String value) {
        this.dr3DFocalLength = value;
    }

    /**
     * Sets the value of the dr3DLightingMode property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDr3DLightingMode(final String value) {
        this.dr3DLightingMode = value;
    }

    /**
     * Sets the value of the dr3DProjection property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDr3DProjection(final String value) {
        this.dr3DProjection = value;
    }

    /**
     * Sets the value of the dr3DShadeMode property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDr3DShadeMode(final String value) {
        this.dr3DShadeMode = value;
    }

    /**
     * Sets the value of the dr3DShadowSlant property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDr3DShadowSlant(final String value) {
        this.dr3DShadowSlant = value;
    }

    /**
     * Sets the value of the dr3DTransform property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDr3DTransform(final String value) {
        this.dr3DTransform = value;
    }

    /**
     * Sets the value of the dr3DVpn property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDr3DVpn(final String value) {
        this.dr3DVpn = value;
    }

    /**
     * Sets the value of the dr3DVrp property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDr3DVrp(final String value) {
        this.dr3DVrp = value;
    }

    /**
     * Sets the value of the dr3DVup property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDr3DVup(final String value) {
        this.dr3DVup = value;
    }

    /**
     * Sets the value of the drawId property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDrawId(final String value) {
        this.drawId = value;
    }

    /**
     * Sets the value of the drawStyleName property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDrawStyleName(final String value) {
        this.drawStyleName = value;
    }

    /**
     * Sets the value of the drawTextStyleName property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDrawTextStyleName(final String value) {
        this.drawTextStyleName = value;
    }

    /**
     * Sets the value of the drawZIndex property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setDrawZIndex(final String value) {
        this.drawZIndex = value;
    }

    /**
     * Sets the value of the presentationStyleName property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setPresentationStyleName(final String value) {
        this.presentationStyleName = value;
    }

    /**
     * Sets the value of the svgHeight property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setSvgHeight(final String value) {
        this.svgHeight = value;
    }

    /**
     * Sets the value of the svgWidth property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setSvgWidth(final String value) {
        this.svgWidth = value;
    }

    /**
     * Sets the value of the svgX property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setSvgX(final String value) {
        this.svgX = value;
    }

    /**
     * Sets the value of the svgY property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setSvgY(final String value) {
        this.svgY = value;
    }

    /**
     * Sets the value of the tableEndCellAddress property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setTableEndCellAddress(final String value) {
        this.tableEndCellAddress = value;
    }

    /**
     * Sets the value of the tableEndX property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setTableEndX(final String value) {
        this.tableEndX = value;
    }

    /**
     * Sets the value of the tableEndY property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setTableEndY(final String value) {
        this.tableEndY = value;
    }

    /**
     * Sets the value of the tableTableBackground property.
     * 
     * @param value allowed object is {@link String }
     * 
     */
    public void setTableTableBackground(final String value) {
        this.tableTableBackground = value;
    }

}
